# Runbooks

## Get All Runbooks By Team

> Returns all the runbooks of the team.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Runbooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Runbooks.RunbookResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Runbooks.Runbook"}]},"V3.Runbooks.Runbook":{"type":"object","required":["id","name","created","updated","used_count","steps","entity_owner","organization_id","owner"],"properties":{"id":{"type":"string","description":"The unique identifier for the runbook."},"name":{"type":"string","description":"The name of the runbook."},"created":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was created."},"updated":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was last updated."},"used_count":{"type":"integer","format":"int32","description":"The number of times this runbook has been used."},"steps":{"type":"array","items":{"$ref":"#/components/schemas/V3.Runbooks.Step"},"description":"The steps that make up the runbook."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity."},"organization_id":{"type":"string","description":"The ID of the organization this runbook belongs to."},"owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.RBACOwner"}],"description":"The RBAC owner of the runbook (typically a team)."}},"description":"Represents a Runbook in the system."},"V3.Runbooks.UpdationInfo":{"type":"object","required":["user_name","username_for_display","user_id","at"],"properties":{"user_name":{"type":"string","description":"The full name of the user who performed the action."},"username_for_display":{"type":"string","description":"The display name of the user who performed the action."},"user_id":{"type":"string","description":"The ID of the user who performed the action."},"at":{"type":"string","format":"date-time","description":"The timestamp of the action."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity at the time of the action."}},"description":"Represents information about the creation or updation of an entity."},"Common.V3.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","description":"The type of the owner ( \"user\", \"squad\")."}},"description":"Represents the owner of an entity."},"V3.Runbooks.Step":{"type":"object","required":["content"],"properties":{"content":{"type":"string","description":"The content of the step, in Markdown format."}},"description":"Represents a single step in a runbook."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/runbooks":{"get":{"operationId":"Runbooks_getAllRunbooksByTeam","summary":"Get All Runbooks By Team","description":"Returns all the runbooks of the team.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V3.Runbooks.RunbookResponse"}}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Runbooks"]}}}}
```

## Create Runbook

> Add runbook to the team. Returns the runbook object in response.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Runbooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Runbooks.RunbookResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Runbooks.Runbook"}]},"V3.Runbooks.Runbook":{"type":"object","required":["id","name","created","updated","used_count","steps","entity_owner","organization_id","owner"],"properties":{"id":{"type":"string","description":"The unique identifier for the runbook."},"name":{"type":"string","description":"The name of the runbook."},"created":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was created."},"updated":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was last updated."},"used_count":{"type":"integer","format":"int32","description":"The number of times this runbook has been used."},"steps":{"type":"array","items":{"$ref":"#/components/schemas/V3.Runbooks.Step"},"description":"The steps that make up the runbook."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity."},"organization_id":{"type":"string","description":"The ID of the organization this runbook belongs to."},"owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.RBACOwner"}],"description":"The RBAC owner of the runbook (typically a team)."}},"description":"Represents a Runbook in the system."},"V3.Runbooks.UpdationInfo":{"type":"object","required":["user_name","username_for_display","user_id","at"],"properties":{"user_name":{"type":"string","description":"The full name of the user who performed the action."},"username_for_display":{"type":"string","description":"The display name of the user who performed the action."},"user_id":{"type":"string","description":"The ID of the user who performed the action."},"at":{"type":"string","format":"date-time","description":"The timestamp of the action."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity at the time of the action."}},"description":"Represents information about the creation or updation of an entity."},"Common.V3.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","description":"The type of the owner ( \"user\", \"squad\")."}},"description":"Represents the owner of an entity."},"V3.Runbooks.Step":{"type":"object","required":["content"],"properties":{"content":{"type":"string","description":"The content of the step, in Markdown format."}},"description":"Represents a single step in a runbook."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Runbooks.CreateRunbookRequest":{"type":"object","required":["name","steps","owner_id"],"properties":{"name":{"type":"string","description":"The name of the runbook."},"steps":{"type":"array","items":{"$ref":"#/components/schemas/V3.Runbooks.Step"},"description":"The steps that make up the runbook."},"owner_id":{"type":"string","description":"The ID of the team that owns this runbook."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity."}},"description":"Represents the request body for creating a new runbook."}}},"paths":{"/v3/runbooks":{"post":{"operationId":"Runbooks_createRunbook","summary":"Create Runbook","description":"Add runbook to the team. Returns the runbook object in response.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Runbooks.RunbookResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Runbooks"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Runbooks.CreateRunbookRequest"}}}}}}}}
```

## Get Runbook By ID

> Returns a runbook details of the given \`runbookID\` in the request param.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Runbooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Runbooks.RunbookResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Runbooks.Runbook"}]},"V3.Runbooks.Runbook":{"type":"object","required":["id","name","created","updated","used_count","steps","entity_owner","organization_id","owner"],"properties":{"id":{"type":"string","description":"The unique identifier for the runbook."},"name":{"type":"string","description":"The name of the runbook."},"created":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was created."},"updated":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was last updated."},"used_count":{"type":"integer","format":"int32","description":"The number of times this runbook has been used."},"steps":{"type":"array","items":{"$ref":"#/components/schemas/V3.Runbooks.Step"},"description":"The steps that make up the runbook."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity."},"organization_id":{"type":"string","description":"The ID of the organization this runbook belongs to."},"owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.RBACOwner"}],"description":"The RBAC owner of the runbook (typically a team)."}},"description":"Represents a Runbook in the system."},"V3.Runbooks.UpdationInfo":{"type":"object","required":["user_name","username_for_display","user_id","at"],"properties":{"user_name":{"type":"string","description":"The full name of the user who performed the action."},"username_for_display":{"type":"string","description":"The display name of the user who performed the action."},"user_id":{"type":"string","description":"The ID of the user who performed the action."},"at":{"type":"string","format":"date-time","description":"The timestamp of the action."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity at the time of the action."}},"description":"Represents information about the creation or updation of an entity."},"Common.V3.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","description":"The type of the owner ( \"user\", \"squad\")."}},"description":"Represents the owner of an entity."},"V3.Runbooks.Step":{"type":"object","required":["content"],"properties":{"content":{"type":"string","description":"The content of the step, in Markdown format."}},"description":"Represents a single step in a runbook."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/runbooks/{runbookID}":{"get":{"operationId":"Runbooks_getRunbookById","summary":"Get Runbook By ID","description":"Returns a runbook details of the given `runbookID` in the request param.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"runbookID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Runbooks.RunbookResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Runbooks"]}}}}
```

## Update Runbook

> Update runbook details.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Runbooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Runbooks.RunbookResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Runbooks.Runbook"}]},"V3.Runbooks.Runbook":{"type":"object","required":["id","name","created","updated","used_count","steps","entity_owner","organization_id","owner"],"properties":{"id":{"type":"string","description":"The unique identifier for the runbook."},"name":{"type":"string","description":"The name of the runbook."},"created":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was created."},"updated":{"allOf":[{"$ref":"#/components/schemas/V3.Runbooks.UpdationInfo"}],"description":"Information about when the runbook was last updated."},"used_count":{"type":"integer","format":"int32","description":"The number of times this runbook has been used."},"steps":{"type":"array","items":{"$ref":"#/components/schemas/V3.Runbooks.Step"},"description":"The steps that make up the runbook."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity."},"organization_id":{"type":"string","description":"The ID of the organization this runbook belongs to."},"owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.RBACOwner"}],"description":"The RBAC owner of the runbook (typically a team)."}},"description":"Represents a Runbook in the system."},"V3.Runbooks.UpdationInfo":{"type":"object","required":["user_name","username_for_display","user_id","at"],"properties":{"user_name":{"type":"string","description":"The full name of the user who performed the action."},"username_for_display":{"type":"string","description":"The display name of the user who performed the action."},"user_id":{"type":"string","description":"The ID of the user who performed the action."},"at":{"type":"string","format":"date-time","description":"The timestamp of the action."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity at the time of the action."}},"description":"Represents information about the creation or updation of an entity."},"Common.V3.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","description":"The type of the owner ( \"user\", \"squad\")."}},"description":"Represents the owner of an entity."},"V3.Runbooks.Step":{"type":"object","required":["content"],"properties":{"content":{"type":"string","description":"The content of the step, in Markdown format."}},"description":"Represents a single step in a runbook."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Runbooks.UpdateRunbookRequest":{"type":"object","required":["name","steps"],"properties":{"name":{"type":"string","description":"The name of the runbook."},"steps":{"type":"array","items":{"$ref":"#/components/schemas/V3.Runbooks.Step"},"description":"The steps that make up the runbook."},"entity_owner":{"allOf":[{"$ref":"#/components/schemas/Common.V3.EntityOwner"}],"description":"The owner of the entity."}},"description":"Represents the request body for updating a runbook."}}},"paths":{"/v3/runbooks/{runbookID}":{"put":{"operationId":"Runbooks_updateRunbook","summary":"Update Runbook","description":"Update runbook details.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"runbookID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Runbooks.RunbookResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Runbooks"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Runbooks.UpdateRunbookRequest"}}}}}}}}
```

## Remove Runbook

> Remove runbook from team.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Runbooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/runbooks/{runbookID}":{"delete":{"operationId":"Runbooks_removeRunbook","summary":"Remove Runbook","description":"Remove runbook from team.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"runbookID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Runbooks"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/api-reference/runbooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
